Index: src/Fragmentation/AdaptivityMap.cpp
===================================================================
--- src/Fragmentation/AdaptivityMap.cpp	(revision 17c03fa7645e73b1b9eb1e67912eaaca6a1971cf)
+++ src/Fragmentation/AdaptivityMap.cpp	(revision e71325dab5e319d68b99f336888240e7745ed87a)
@@ -100,5 +100,5 @@
  * \param &path path to ENERGYPERFRAGMENT file (may be NULL if Order is non-negative)
  */
-void AdaptivityMap::ScanAdaptiveFileIntoMap(std::string &path)
+void AdaptivityMap::ScanAdaptiveFileIntoMap(const std::string &path)
 {
   int No = 0, FragOrder = 0;
Index: src/Fragmentation/AdaptivityMap.hpp
===================================================================
--- src/Fragmentation/AdaptivityMap.hpp	(revision 17c03fa7645e73b1b9eb1e67912eaaca6a1971cf)
+++ src/Fragmentation/AdaptivityMap.hpp	(revision e71325dab5e319d68b99f336888240e7745ed87a)
@@ -31,5 +31,5 @@
 
   void InsertIntoAdaptiveCriteriaList(int FragOrder, int No, double Value);
-  void ScanAdaptiveFileIntoMap(std::string &path);
+  void ScanAdaptiveFileIntoMap(const std::string &path);
   void ReMapAdaptiveCriteriaListToValue(molecule *mol);
   int CountLinesinFile(std::ifstream &InputFile) const;
Index: src/Fragmentation/Fragmentation.cpp
===================================================================
--- src/Fragmentation/Fragmentation.cpp	(revision 17c03fa7645e73b1b9eb1e67912eaaca6a1971cf)
+++ src/Fragmentation/Fragmentation.cpp	(revision e71325dab5e319d68b99f336888240e7745ed87a)
@@ -97,5 +97,9 @@
  * \return 1 - continue, 2 - stop (no fragmentation occured)
  */
-int Fragmentation::FragmentMolecule(const std::vector<atomId_t> &atomids, int Order, std::string prefix, DepthFirstSearchAnalysis &DFS)
+int Fragmentation::FragmentMolecule(
+    const std::vector<atomId_t> &atomids,
+    int Order,
+    const std::string &prefix,
+    DepthFirstSearchAnalysis &DFS)
 {
   std::fstream File;
@@ -334,5 +338,5 @@
  * \return true - needs further fragmentation, false - does not need fragmentation
  */
-bool Fragmentation::CheckOrderAtSite(AtomMask_t &AtomMask, const Graph &GlobalKeySetList, int Order, std::string path, bool LoopDoneAlready)
+bool Fragmentation::CheckOrderAtSite(AtomMask_t &AtomMask, const Graph &GlobalKeySetList, int Order, const std::string &path, bool LoopDoneAlready)
 {
   bool status = false;
@@ -391,5 +395,5 @@
  * \return true - file writable, false - not writable
  */
-bool Fragmentation::StoreOrderAtSiteFile(std::string &path)
+bool Fragmentation::StoreOrderAtSiteFile(const std::string &path)
 {
   string line;
@@ -418,5 +422,5 @@
  * \sa ParseKeySetFile() and CheckAdjacencyFileAgainstMolecule() as this is meant to be used in conjunction with the two
  */
-bool Fragmentation::ParseOrderAtSiteFromFile(const std::vector<atomId_t> &atomids, std::string &path)
+bool Fragmentation::ParseOrderAtSiteFromFile(const std::vector<atomId_t> &atomids, const std::string &path)
 {
   Info FunctionInfo(__func__);
Index: src/Fragmentation/Fragmentation.hpp
===================================================================
--- src/Fragmentation/Fragmentation.hpp	(revision 17c03fa7645e73b1b9eb1e67912eaaca6a1971cf)
+++ src/Fragmentation/Fragmentation.hpp	(revision e71325dab5e319d68b99f336888240e7745ed87a)
@@ -37,5 +37,5 @@
   ~Fragmentation();
 
-  int FragmentMolecule(const std::vector<atomId_t> &atomids, int Order, std::string prefix, DepthFirstSearchAnalysis &DFS);
+  int FragmentMolecule(const std::vector<atomId_t> &atomids, int Order, const std::string &prefix, DepthFirstSearchAnalysis &DFS);
 
   const Graph& getGraph() const {
@@ -49,7 +49,7 @@
 
   // order at site
-  bool CheckOrderAtSite(AtomMask_t &AtomMask, const Graph &GlobalKeySetList, int Order, std::string path, bool LoopDoneAlready);
-  bool StoreOrderAtSiteFile(std::string &path);
-  bool ParseOrderAtSiteFromFile(const std::vector<atomId_t> &atomids, std::string &path);
+  bool CheckOrderAtSite(AtomMask_t &AtomMask, const Graph &GlobalKeySetList, int Order, const std::string &path, bool LoopDoneAlready);
+  bool StoreOrderAtSiteFile(const std::string &path);
+  bool ParseOrderAtSiteFromFile(const std::vector<atomId_t> &atomids, const std::string &path);
 
   // storing fragments
Index: src/Fragmentation/Graph.cpp
===================================================================
--- src/Fragmentation/Graph.cpp	(revision 17c03fa7645e73b1b9eb1e67912eaaca6a1971cf)
+++ src/Fragmentation/Graph.cpp	(revision e71325dab5e319d68b99f336888240e7745ed87a)
@@ -88,5 +88,5 @@
  * \return true - parsing successfully, false - failure on parsing (FragmentList will be NULL)
  */
-bool Graph::ParseKeySetFile(std::string &path)
+bool Graph::ParseKeySetFile(const std::string &path)
 {
   bool status = true;
@@ -132,5 +132,5 @@
  * \return true - file written successfully, false - writing failed
  */
-bool Graph::StoreKeySetFile(std::string &path) const
+bool Graph::StoreKeySetFile(const std::string &path) const
 {
   bool status =  true;
Index: src/Fragmentation/Graph.hpp
===================================================================
--- src/Fragmentation/Graph.hpp	(revision 17c03fa7645e73b1b9eb1e67912eaaca6a1971cf)
+++ src/Fragmentation/Graph.hpp	(revision e71325dab5e319d68b99f336888240e7745ed87a)
@@ -32,6 +32,6 @@
   void InsertGraph(const Graph &graph, int &counter);
 
-  bool ParseKeySetFile(std::string &path);
-  bool StoreKeySetFile(std::string &path) const;
+  bool ParseKeySetFile(const std::string &path);
+  bool StoreKeySetFile(const std::string &path) const;
   bool ParseTEFactorsFile(char *path);
   bool StoreTEFactorsFile(char *path) const;
